Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class Graph.CreateNodeNamedAction<T>

    java.lang.Object
      org.modeshape.graph.Graph.AbstractAction<T>
          org.modeshape.graph.Graph.CreateNodeNamedAction<T>

All Implemented Interfaces:
  Graph.Conjunction<T>, Graph.CreateNodeNamed<T>

Enclosing class:
  Graph

    @NotThreadSafe
    protected abstract class Graph.CreateNodeNamedAction<T>

extends Graph.AbstractAction<T>
implements Graph.CreateNodeNamed<T>

Constructor Summary
`protected` | `Graph.CreateNodeNamedAction(T afterConjunction, Location parent)`

Method Summary
`protected abstract Graph.CreateAction<T>` | `createWith(T afterConjunction, Location parent, Name nodeName)`
`Graph.CreateAction<T>` | `nodeNamed(Name name)` Specify the name of the node that is to be created.
`Graph.CreateAction<T>` | `nodeNamed(String name)` Specify the name of the node that is to be created.

Methods inherited from class org.modeshape.graph.Graph.AbstractAction
`and`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Graph.CreateNodeNamedAction

    protected Graph.CreateNodeNamedAction(T afterConjunction,
                                          Location parent)

Method Detail

### nodeNamed

    public Graph.CreateAction<T> nodeNamed(String name)

  Description copied from interface: `Graph.CreateNodeNamed`
  Specify the name of the node that is to be created.

  Specified by:
    `nodeNamed` in interface `Graph.CreateNodeNamed<T>`
  Parameters:
    `name` - the name of the new node
  Returns:
    the interface used to complete the request

### nodeNamed

    public Graph.CreateAction<T> nodeNamed(Name name)

  Description copied from interface: `Graph.CreateNodeNamed`
  Specify the name of the node that is to be created.

  Specified by:
    `nodeNamed` in interface `Graph.CreateNodeNamed<T>`
  Parameters:
    `name` - the name of the new node
  Returns:
    the interface used to complete the request

### createWith

    protected abstract Graph.CreateAction<T> createWith(T afterConjunction,
                                                        Location parent,
                                                        Name nodeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.